Bug 119246 - bug doesnt let me install packages after initial installation
Summary: bug doesnt let me install packages after initial installation
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-config-packages   
(Show other bugs)
Version: 1
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-27 03:24 UTC by dan
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-04 14:09:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description dan 2004-03-27 03:24:54 UTC
Description of problem:
after the initial installation i cannot go back to install more
packages. when it tries to install it will throw an error and exit the
utility. 

Version-Release number of selected component (if applicable):


How reproducible:
allways

Steps to Reproduce:
1.try to install packages
2.
3.
  
Actual results:program exits with no installation happening


Expected results:install packages


Additional info:

Comment 1 Jeremy Katz 2004-03-27 20:41:24 UTC
What's the error you receive?

Comment 2 Bladerunner 2004-08-04 14:22:29 UTC
I have the same problem.  After running this through the terminal the
error is that it cant find the Redhat folder on the cdrom.  this
appears to be pure laziness from the coders, as the folder is actually
named Fedora.

there appears to be a value called PATH where the package installer
looks by default.  If we can find some way to edit this from
/mnt/cdrom/Redhat/whatever to /mnt/cdrom/Fedora/whatever this problem
will be fixed I feel.  I am currently looking for some kind of config
file where this value is defined.

Comment 3 J French 2004-08-18 03:37:38 UTC
I get identical results from RHL 9 - which is what led me here. It's
therefore not Fedora specific. so changing /mnt/cdrom/RedHat to
/mnt/cdrom/Fedora probably won't fix this.

The error message is:
Installation Tree Not Found
The path /mnt/cdrom does not look like a valid installation source

Even though RHL 9 Disk 1 is in the drive and the drive is mounted.

If I'm wrong about this, and you (or anyone else) has fixed this on
Fedora OR RedHat, please let me know.

Comment 4 J French 2004-08-18 04:58:23 UTC
To answer my own question. Apparently comps didn't install correctly
though rpm -q comps showed corrrectly.

rpm -Uvh --force /mnt/cdrom/RedHat/base/comps.rpm
fixed the problem


Note You need to log in before you can comment on or make changes to this bug.